SpriteLibrary
SpriteLibrary
SpriteLibrary
SpriteController Class
SpriteController Methods
AddSprite Method
AdjustPoint Method
AdjustRectangle Method
AllSprites Method
ChangeTickInterval Method
CountSpritesBasedOff Method
DestroyAllSprites Method
DestroySprite Method
DuplicateSprite Method
Invalidate Method
IsKeyPressed Method
KeysPressed Method
NameSprite Method
Pause Method
PlaceSpriteBehind Method
PlaceSpriteInFrontOf Method
RegisterKeyDownFunction Method
RegisterKeyUpFunction Method
ReplaceOriginalImage Method
ResetKeypressState Method
ReturnAdjustmentRatio Method
ReturnPictureBoxAdjustedHeight Method
ReturnPictureBoxAdjustedPoint Method
ReturnPictureBoxAdjustedWidth Method
ReturnPointAdjustedForImage Method
SoundIsFinished Method
SoundPlay Method
SpriteBackwards Method
SpriteForwards Method
SpriteFromName Method
SpritesAtImagePoint Method
SpritesAtPoint Method
SpritesBasedOff Method
SpritesBasedOffAnything Method
SpritesInImageRectangle Method
SpritesThatHaveBeenDrawn Method
SpriteToBack Method
SpriteToFront Method
UnPause Method

SpriteController DestroySprite Method

Tell a sprite to destroy itself. The sprite will have Destroying property set to true from the time you destroy it until it vanishes. Whe you destroy a sprite, it will erase itself and remove itself from the controller. After it is destroyed, it is completely gone.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public void DestroySprite(
    	Sprite what
    )

#### Parameters

what
  Type: SpriteLibrary
  Sprite
  The Sprite to destroy

See Also

#### Reference

SpriteController Class
SpriteLibrary Namespace